VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsInvoices

Get invoice payment status

Use this endpoint to retrieve payment status information for a specific invoice, including payment status, amount due, amount paid, total, due date, paid date, and invoice PDF URL.

GET
/invoices/{invoiceId}/payment-status

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Path Parameters

invoiceId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/invoices/string/payment-status"
{  "invoiceId": "string",  "billingStatus": "None",  "amountDue": 0,  "amountPaid": 0,  "total": 0,  "dueDate": "2019-08-24T14:15:22Z",  "paidAt": "2019-08-24T14:15:22Z",  "invoicePdfUrl": "string"}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}